::-webkit-input-placeholder {
    color: $gull-gray;
    opacity: 1;
}

:-moz-placeholder {
    color: $gull-gray;
    opacity: 1;  
}

::-moz-placeholder {
    color: $gull-gray;
    opacity: 1;  
}

:-ms-input-placeholder {  
    color: $gull-gray;
    opacity: 1;  
} 

input[type="text"],
input[type="email"],
input[type="tel"],
input[type="number"],
input[type="password"],
input[type="search"],
textarea,
select,
button {
    appearance: none;
    outline: none;
}

input[type="submit"] {
    @extend .button;
    cursor: pointer;
}

input,
select,
textarea,
input[type="text"],
input[type="tel"],
input[type="email"] {
    padding: 0.55em;
    font-size: 1.1rem;
    line-height: 1.3rem;
    background: $white;
    border: solid 1px $gull-gray;
    -webkit-appearance: none;
    box-sizing: border-box;
    outline: none;
    border-radius: 0;

    &:focus {
        border-color: $eastern-blue;
    }
}

label {
    margin: 0.5em 0;
    font-weight: 600;
    color: $black;
}

.form {
    display: flex;
    flex-direction: column;
    align-items: center;

    &__field {
        width: 100%;
        margin: 0.5em;
        display: flex;
        flex-direction: column;
    }

    &__label {
        margin: 0.5em 0 1em 0;
        font-weight: 600;
    }

    &__input {
        width: 100%;
        border-radius: 0;
    }
}